zipios::VirtualSeeker Class Reference

VirtualSeeker is a simple class that keeps track of a set of specified 'virtual' file endings that mark a subset of a real file. More...

`#include <virtualseeker.h>`

## Public Member Functions

| VirtualSeeker (int start_offset=0, int end_offset=0)
void | setOffsets (int start_offset, int end_offset)
void | getOffsets (int &start_offset, int &end_offset) const
int | startOffset () const
int | endOffset () const
void | vseekg (istream &is, int offset, ios::seekdir sd) const
int | vtellg (istream &is) const

## Detailed Description

VirtualSeeker is a simple class that keeps track of a set of specified 'virtual' file endings that mark a subset of a real file.

An example of its use (and its reason for existence) is to keep track of the file endings of a Zip file embedded in another file.

Definition at line 20 of file virtualseeker.h.

## Constructor & Destructor Documentation

## VirtualSeeker()

zipios::VirtualSeeker::VirtualSeeker | ( | int | start_offset = 0,
|  | int | end_offset = 0 )

inline

Definition at line 36 of file virtualseeker.h.

## Member Function Documentation

## endOffset()

int zipios::VirtualSeeker::endOffset | ( |  | ) | const

inline

Definition at line 59 of file virtualseeker.h.

## getOffsets()

void zipios::VirtualSeeker::getOffsets | ( | int & | start_offset,
|  | int & | end_offset ) const

inline

Definition at line 48 of file virtualseeker.h.

## setOffsets()

void zipios::VirtualSeeker::setOffsets | ( | int | start_offset,
|  | int | end_offset )

inline

Definition at line 42 of file virtualseeker.h.

## startOffset()

int zipios::VirtualSeeker::startOffset | ( |  | ) | const

inline

Definition at line 54 of file virtualseeker.h.

## vseekg()

void zipios::VirtualSeeker::vseekg | ( | istream & | is,
|  | int | offset,
|  | ios::seekdir | sd ) const

inline

Definition at line 63 of file virtualseeker.h.

## vtellg()

int zipios::VirtualSeeker::vtellg | ( | istream & | is | ) | const

inline

Definition at line 75 of file virtualseeker.h.

The documentation for this class was generated from the following file:

- virtualseeker.h